| Home | Libraries | People | FAQ | More

## Function template ilexicographical_compare

boost::algorithm::ilexicographical_compare — Lexicographical compare predicate (case-insensitive)

## Synopsis

    // In header: <boost/algorithm/string/predicate.hpp>

    template<typename Range1T, typename Range2T>
      bool ilexicographical_compare(const Range1T & Arg1, const Range2T & Arg2,
                                    const std::locale & Loc = std::locale());

## Description

This predicate is an overload of std::lexicographical_compare for range arguments. It check whether the first argument is lexicographically less then the second one. Elements are compared case insensitively

Parameters:

`Arg1` | First argument
`Arg2` | Second argument
`Loc` | A locale used for case insensitive comparison

Returns: | The result of the test
Notes: | This function provides the strong exception-safety guarantee